# Upvaldesc (Luaj API)
Date: 2015-04-29

## org.luaj.vm2
Class Upvaldesc

    java.lang.Object
      org.luaj.vm2.Upvaldesc

    public class Upvaldesc

extends java.lang.Object

Field Summary
`short` `idx`
`boolean` `instack`
`LuaString` `name`

Constructor Summary
`Upvaldesc(LuaString name, boolean instack, int idx)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public LuaString name

### instack

    public final boolean instack

### idx

    public final short idx

Constructor Detail

### Upvaldesc

    public Upvaldesc(LuaString name,
                     boolean instack,
                     int idx)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2007-2015 Luaj.org. All Rights Reserved.